Bug 489139 - pulsaudio alsa emulation is rapidly dropping and reconnecting
pulsaudio alsa emulation is rapidly dropping and reconnecting
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-07 21:49 EST by John Ellson
Modified: 2014-06-30 09:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:25:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2009-03-07 21:49:07 EST
Description of problem:
I'm running SecondLife with sound connected via pulsaudio ALSA emulation.
Music from SL from a "gecko" source is reasonably stable, but the ALSA
connection (I think for in-world sounds) is rapidly disconnecting and reconnecting.   Processor load for pulseaudio is very high, but perhaps because of the X updates to the pavucontrol and paman widgets.

In /var/log/messages, I see:

Mar  7 21:19:17 ontap pulseaudio[12303]: ratelimit.c: 46 events suppressed
Mar  7 21:19:17 ontap pulseaudio[12303]: alsa-sink.c: Increasing minimal latency to 341.33 ms
Mar  7 21:22:22 ontap pulseaudio[12303]: alsa-sink.c: Increasing wakeup watermark to 331.31 ms
Mar  7 21:23:37 ontap pulseaudio[12303]: asyncq.c: q overrun, queuing locally
Mar  7 21:23:37 ontap pulseaudio[12303]: asyncq.c: q overrun, queuing locally
Mar  7 21:23:37 ontap pulseaudio[12303]: asyncq.c: q overrun, queuing locally
Mar  7 21:25:20 ontap pulseaudio[12303]: ratelimit.c: 58 events suppressed
Mar  7 21:26:46 ontap pulseaudio[12303]: ratelimit.c: 60 events suppressed
Mar  7 21:27:37 ontap pulseaudio[12303]: ratelimit.c: 37 events suppressed

but these are not occurring as fast as the ALSA disconnects.


In the pavucontrol->Playback I see:

   System Sounds
   Mono                   <<this is stable
   ----------------
   gecko: THE SOUND OF BIGGI - ....
   Front Left   =====
   Front Right  =====     <<this is stable
   ----------------
   ALSA plug-in [do-not-directly-run-secondlife-bin]: ALSA Playback
   Front Left   =====
   front Right  =====     <<this whole section is flashing in and out


In the paman->Devices I see;

   Sinks
      alsa_output.pci_10de_59_sound_card_0      Internal Audio
          #6771                                 THE SOUND OF BIGGI...
          #10840                                ALSA Playback

               <<this last line flickers in and out with a new number each time.




Eventually the desktop becomes completely unresponsive and the system has to be rebooted.

Version-Release number of selected component (if applicable):
pulseaudio-0.9.15-3.test5.fc11.x86_64
kernel-2.6.29-0.207.rc7.fc11.x86_64
SecondLife-i686-1.22.10.112620

How reproducible:
100%

Steps to Reproduce:
1. Open pavucontrol and paman
2. Run SecondLife and play streaming music from an inworld region
3.
  
Actual results:
Pulseaudio is going crazy and eventually desktop hangs

Expected results:


Additional info:
ALSA usage by SecondLife is forced by these lines in the secondlife wrapper shell script:

## Here are some configuration options for Linux Client Testers.
## These options are for self-assisted troubleshooting during this beta
## testing phase; you should not usually need to touch them.

## - Avoids using any OpenAL audio driver.
#export LL_BAD_OPENAL_DRIVER=x
## - Avoids using any FMOD audio driver.
#export LL_BAD_FMOD_DRIVER=x

## - Avoids using the FMOD ESD audio driver.
export LL_BAD_FMOD_ESD=x
## - Avoids using the FMOD OSS audio driver.
export LL_BAD_FMOD_OSS=x
## - Avoids using the FMOD ALSA audio driver.
#export LL_BAD_FMOD_ALSA=x
Comment 1 John Ellson 2009-03-07 22:01:36 EST
The music stream is incidental to this bug.   I get the same flickering ALSA
channel as soon as i start SecondLife.  It isn't even necessary to login.
Comment 2 John Ellson 2009-03-07 22:03:14 EST
I don't know how this was tagged as a security bug?   I don't think there are any security issues here.
Comment 3 Tom Porter 2009-04-13 13:26:10 EDT
I recently moved from F9 to F10 and have run afoul of this same issue.  It appears any application that uses ALSA emulation for PA (i.e. the alsa_plugins_pulseaudio package) has this issue.  Running PA in debug, I can see numerous buffer underruns when using this plugin to play audio via PA, however none when the app can natively use PA.  I have recently read, that PA will begin to use more CPU in this case, causing a steep performance hit in my case.  I am willing to provide more information, if/when it is requested.  For now, I have disabled PA and have most apps use ALSA directly.  The drawback with this is now that GNOME is more tightly integrated with PA, there is no way to get desktop sounds along with app sounds.
Comment 4 fabrixx 2009-05-21 19:19:34 EDT
I have solved by setting local sound server Multicast /RTP in this mode:
http://upload.centerzone.it/images/57ccp7qy9zxpg04s9pr.png

Feom pulse audio applett configuration.

There is nomore flashing in and out and ambient & gestures sound still work.
Comment 5 Bug Zapper 2009-06-09 08:00:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Lonni J Friedman 2009-08-12 16:15:58 EDT
Same problem here with Fedora11-i686.  I can pick any random mp3 and it will play ok for a few seconds, and then everything goes to noise & static, and after a few seconds, it just dies.  In /var/log/messages, I see the following:

Aug 12 13:12:31 netllama pulseaudio[6445]: alsa-source.c: Increasing minimal latency to 1.00 ms
Aug 12 13:13:00 netllama pulseaudio[6445]: alsa-sink.c: Increasing minimal latency to 1.00 ms
Aug 12 13:13:12 netllama pulseaudio[6445]: alsa-sink.c: Increasing minimal latency to 2.00 ms
Aug 12 13:13:18 netllama pulseaudio[6445]: alsa-sink.c: Increasing minimal latency to 4.00 ms
Aug 12 13:13:25 netllama pulseaudio[6445]: alsa-sink.c: Increasing minimal latency to 8.00 ms
Aug 12 13:13:26 netllama pulseaudio[6445]: alsa-sink.c: Increasing minimal latency to 16.00 ms
Aug 12 13:13:38 netllama pulseaudio[6445]: alsa-sink.c: Increasing minimal latency to 26.00 ms

Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-sink.c: Increasing wakeup watermark to 16.00 ms
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-sink.c: Increasing minimal latency to 36.00 ms
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c: snd_pcm_avail() returned a value that is exceptionally large: 4294962144 bytes (22369594 ms).
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_intel8x0'. Please report this issue to the ALSA developers.
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c: snd_pcm_dump():
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c: Hardware PCM card 0 'NVidia CK804' device 0 subdevice 0
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c: Its setup is:
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   stream       : PLAYBACK
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   access       : MMAP_INTERLEAVED
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   format       : S16_LE
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   subformat    : STD
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   channels     : 2
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   rate         : 48000
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   exact rate   : 48000 (48000/1)
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   msbits       : 16
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   buffer_size  : 16384
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   period_size  : 16384
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   period_time  : 341333
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   tstamp_mode  : ENABLE
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   period_step  : 1
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   avail_min    : 16384
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   period_event : 0
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   start_threshold  : -1
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   stop_threshold   : 1073741824
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   silence_threshold: 0
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   silence_size : 0
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   boundary     : 1073741824
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   appl_ptr     : 3818760
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   hw_ptr       : 3801088
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c: snd_pcm_delay() returned a value that is exceptionally large: 342784 bytes (1785 ms).
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_intel8x0'. Please report this issue to the ALSA developers.
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c: snd_pcm_dump():
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c: Hardware PCM card 0 'NVidia CK804' device 0 subdevice 0
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c: Its setup is:
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   stream       : PLAYBACK
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   access       : MMAP_INTERLEAVED
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   format       : S16_LE
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   subformat    : STD
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   channels     : 2
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   rate         : 48000
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   exact rate   : 48000 (48000/1)
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   msbits       : 16
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   buffer_size  : 16384
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   period_size  : 16384
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   period_time  : 341333
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   tstamp_mode  : ENABLE
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   period_step  : 1
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   avail_min    : 16384
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   period_event : 0
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   start_threshold  : -1
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   stop_threshold   : 1073741824
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   silence_threshold: 0
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   silence_size : 0
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   boundary     : 1073741824
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   appl_ptr     : 3887880
Aug 12 13:13:50 netllama pulseaudio[6445]: alsa-util.c:   hw_ptr       : 3802184
Aug 12 13:13:55 netllama pulseaudio[6445]: ratelimit.c: 28455 events suppressed
Aug 12 13:14:00 netllama pulseaudio[6445]: ratelimit.c: 32650 events suppressed
Aug 12 13:14:00 netllama pulseaudio[6445]: asyncq.c: q overrun, queuing locally
Aug 12 13:14:00 netllama pulseaudio[6445]: asyncq.c: q overrun, queuing locally
Aug 12 13:14:00 netllama pulseaudio[6445]: asyncq.c: q overrun, queuing locally
Aug 12 13:14:00 netllama pulseaudio[6445]: asyncq.c: q overrun, queuing locally
Aug 12 13:14:00 netllama pulseaudio[6445]: asyncq.c: q overrun, queuing locally
Aug 12 13:14:00 netllama pulseaudio[6445]: asyncq.c: q overrun, queuing locally
Aug 12 13:14:00 netllama pulseaudio[6445]: asyncq.c: q overrun, queuing locally
Aug 12 13:14:00 netllama pulseaudio[6445]: asyncq.c: q overrun, queuing locally
Aug 12 13:14:00 netllama pulseaudio[6445]: asyncq.c: q overrun, queuing locally
Aug 12 13:14:00 netllama pulseaudio[6445]: asyncq.c: q overrun, queuing locally
Aug 12 13:14:00 netllama pulseaudio[6445]: asyncq.c: q overrun, queuing locally
Aug 12 13:14:04 netllama pulseaudio[6445]: cpulimit.c: Received request to terminate due to CPU overload.
Aug 12 13:14:04 netllama pulseaudio[6445]: memblock.c: Memory pool destroyed but not all memory blocks freed! 104485 remain.
Comment 7 Lennart Poettering 2009-08-13 10:33:56 EDT
Lonni, your issue is unrelated to this bug report, see bug 506075
Comment 8 Adam Williamson 2009-10-20 14:33:15 EDT
fabrixx: have you experienced this with any other application, or just with SecondLife?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2010-04-27 09:07:56 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 07:25:09 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 John Ellson 2014-06-30 09:20:01 EDT
Ignore me - just trying to clear the "needinfo" spam on this closed bug.

Note You need to log in before you can comment on or make changes to this bug.